## golang-github-goccy-go-yaml 1.9.5

=== debian/changelog ===
golang-github-goccy-go-yaml (1.9.5-2) unstable; urgency=medium

  * Disable tests that affect 32bit environment.
    Add d/patches/disable-tests-that-affect-32bit-environment.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 20 Feb 2022 18:23:01 +0900

golang-github-goccy-go-yaml (1.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Jan 2022 10:07:52 +0900

golang-github-goccy-go-yaml (1.9.4-1) unstable; urgency=medium

  * Initial release (Closes: #1003380)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 09 Jan 2022 14:36:55 +0900
