=== debian/control ===
Source: golang-github-goccy-go-yaml
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-mattn-go-colorable-dev,
               golang-golang-x-xerrors-dev,
               golang-gopkg-yaml.v3-dev,
               golang-yaml.v2-dev,
	       golang-github-go-playground-validator-v10-dev
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/go-yaml
Vcs-Git: https://salsa.debian.org/go-team/packages/go-yaml.git
Homepage: https://github.com/goccy/go-yaml
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/goccy/go-yaml

Package: golang-github-goccy-go-yaml-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-fatih-color-dev,
         golang-github-mattn-go-colorable-dev,
         golang-golang-x-xerrors-dev,
         golang-gopkg-yaml.v3-dev,
         golang-yaml.v2-dev
Description: yet another golang library for YAML support
 YAML library for the Go language.
 This adds some features compared to the golang standard YAML library.
  * Pretty format for error notifications
  * Supports Scanner or Lexer or Parser as public API
  * Supports Anchor and Alias to Marshaler
  * Allow referencing elements declared in another file via anchors
  * Extract value or AST by YAMLPath (like a JSONPath)
