## golang-github-goccy-go-yaml 1.18.0

=== debian/changelog ===
golang-github-goccy-go-yaml (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18.0
    - Do not build the benchmarks and the example program
    - Remove unneeded build dependencies
    - Remove patch, is now handled upstream
  * Disable use of pristine-tar
  * Update debian/watch to v5
  * Remove Rules-Requires-Root from d/control
  * Switch Build-Depends from dh-golang to dh-sequence-golang
  * Add Multi-Arch: foreign
  * Update Standards-Version to 4.7.2, no changes needed
  * Update debian/gitlab-ci.yml

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 22 Oct 2025 22:02:30 +0200
