=== debian/control ===
Source: golang-github-goccy-go-yaml
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-goccy-go-yaml
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-goccy-go-yaml.git
Homepage: https://github.com/goccy/go-yaml
XS-Go-Import-Path: github.com/goccy/go-yaml

Package: golang-github-goccy-go-yaml-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: yet another golang library for YAML support
 YAML library for the Go language.
 This adds some features compared to the golang standard YAML library.
  * Pretty format for error notifications
  * Supports Scanner or Lexer or Parser as public API
  * Supports Anchor and Alias to Marshaler
  * Allow referencing elements declared in another file via anchors
  * Extract value or AST by YAMLPath (like a JSONPath)
