=== debian/rules ===
#!/usr/bin/make -f

# Do not build the benchmarks or the ycat command,
# which is not installed anyway.
export DH_GOLANG_EXCLUDES := benchmarks/* cmd/*

%:
	dh $@ --builddirectory=_build --buildsystem=golang
