=== debian/watch ===
Version: 5

Template: Github
Owner: goccy
Project: go-yaml
